|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QAbstractExtensionFactory Class Reference

The QAbstractExtensionFactory class provides the standard interface for extension factories in Qt Designer. More...

    #include <QAbstractExtensionFactory>

Part of the QtDesigner module.

Inherited by QExtensionFactory.

- List of all members, including inherited members

### Public Functions

- virtual ~QAbstractExtensionFactory ()
- virtual QObject * extension ( QObject * object, const QString & iid ) const = 0

## Detailed Description

The QAbstractExtensionFactory class provides the standard interface for extension factories in Qt Designer.

## Member Function Documentation

### QAbstractExtensionFactory::~QAbstractExtensionFactory () `[virtual]`

Destroys the extension factory.

### QObject * QAbstractExtensionFactory::extension ( QObject * object, const QString & iid ) const `[pure virtual]`

Returns an extension for the given object with an extension identifier specified by iid.